Subject: Re: [PATCH] net: ipv6: Do not fix up linklocal and loopback addresses

From: Mike Manning <[email-masked]>
Date: Mon, 18 Apr 2016 16:14:39 +0100

On 04/18/2016 03:39 PM, David Ahern wrote:
> On 4/18/16 8:23 AM, Mike Manning wrote:
>> f1705ec197e7 "Make address flushing on ifdown optional" added the option
>> to retain user configured addresses on an admin down. A comment to one of
>> the later revisions suggested using the IFA_F_PERMANENT flag rather than
>> adding a user_managed boolean to the ifaddr struct. A side effect of this
>> change is that link local and loopback addresses were also retained which
>> was not part of the objective of the original changes. The fix 70af921db6f8
>> "Do not keep linklocal and loopback addresses" ensures that these are no
>> longer kept. Similarly, the present fix ensures that these addresses are not
>> fixed up either, otherwise the incorrect fixup triggers a crash in fib6.
>>
>> Fixes: f1705ec197e7 ("net: ipv6: Make address flushing on ifdown optional")
>> Signed-off-by: Mike Manning <[email-masked]>
>> ---
>>   net/ipv6/addrconf.c |   13 +++++++------
>>   1 file changed, 7 insertions(+), 6 deletions(-)
> 
> Is this a v2? Code change is the same.

This is the same changeset, but Sergei requested on Saturday to change the wording as follows:

    scripts/checkpatch.pl now enforces commit citing certain style: <12-digit 

SHA1> ("<comit summary>").

> 
> Acked-by: David Ahern <[email-masked]>